##### 7.5.14.0. diffRat

Procedure from library `dmodloc.lib` (see dmodloc_lib).

Usage:
  diffRat(v,j); v vector, j int

Assume:
  Assume that v has exactly two components, second one not 0.

Return:
  vector, representing rational function derivative of rational function (v[1]/v[2]) w.r.t. var(j)

Note:
  Possibly present non-commutative relations of the basering are ignored.

Example:

    LIB "dmodloc.lib";
    ring r = 0,(x,y),dp;
    vector v = [x,y];
    diffRat(v,1);
    ==> y*gen(2)+gen(1)
    diffRat(v,1) - [1,y];
    ==> 0
    diffRat(v,2);
    ==> y2*gen(2)-x*gen(1)
    diffRat(v,2) - [-x,y2];
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.